> For the complete documentation index, see [llms.txt](https://docs.asyncpay.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.asyncpay.io/api-reference/nuban-payouts.md).

# NUBAN Payouts

The NUBAN Payouts API allows you to initiate and manage payouts (transfers) to Nigerian bank accounts and payout options.

## Initiate Payout

> This endpoint initiates a Nigerian bank transfer with a specified payment channel. \
> \
> When creating a payout, we recommend that you first create a beneficiary and add a payment method to the beneficiary to enable you to make payout. However, you can make a payout without creating a beneficiary by providing the \`account\_number\` and \`bank\_code\` and we will validate the account details and create the payout within the same request.

```json
{"openapi":"3.1.0","info":{"title":"Public APIs","version":"1.0.0"},"tags":[{"name":"Payouts/NUBAN/Payouts"}],"security":[{"apikey-header-Authentication":[]}],"components":{"securitySchemes":{"apikey-header-Authentication":{"type":"apiKey","in":"header","name":"Authentication"}}},"paths":{"/v1/payouts/nuban/":{"post":{"summary":"Initiate Payout","deprecated":false,"description":"This endpoint initiates a Nigerian bank transfer with a specified payment channel. \n\nWhen creating a payout, we recommend that you first create a beneficiary and add a payment method to the beneficiary to enable you to make payout. However, you can make a payout without creating a beneficiary by providing the `account_number` and `bank_code` and we will validate the account details and create the payout within the same request.","tags":["Payouts/NUBAN/Payouts"],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"beneficiary_payout_option_uuid":{"type":"string","description":"The UUID of the beneficiary's payment method"},"bank_code":{"type":"string","description":"You can provide the bank code to instantly create a payout without creating a beneficiary."},"account_number":{"type":"string","description":"You can provide the account number to instantly create a payout without creating a beneficiary."},"amount":{"type":"string","description":"The amount you want to payout"},"currency":{"type":["string","null"],"description":"The currency of the payout. Defaults to NGN"},"reference":{"type":["string","null"],"description":"Your unique reference for this payout"},"description":{"type":"string","description":"A description for the payout"},"payment_channel":{"type":["string","null"],"description":"The slug of the payment channel that Asyncpay should route this payout through."},"meta_data":{"type":["object","null"],"properties":{},"description":"An arbitrary object to store additional data for the payout"}},"required":["amount","description"]}}}},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"string"},"data":{"type":"object","properties":{"payout":{"type":"object","properties":{"uuid":{"type":"string"},"ref":{"type":"string"},"env_mode":{"type":"string"},"initiated_from":{"type":"string"},"initiated_by":{"type":"null"},"type":{"type":"string"},"is_one_time_beneficiary":{"type":"integer"},"amount":{"type":"string"},"amount_to_usd":{"type":"string"},"payment_channel_slug":{"type":"string"},"currency":{"type":"string"},"description":{"type":"string"},"status":{"type":"string"},"status_is_conclusive":{"type":"integer"},"status_summary":{"type":"string"},"meta_data":{"type":"null"},"callback_url":{"type":"null"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"transfer_ref":{"type":"string"},"reference":{"type":"string"},"beneficiary_payout_option":{"type":"object","properties":{"uuid":{"type":"string"},"third_party_ids":{"type":"object","properties":{"paystack":{"type":"string"}},"required":["paystack"]},"is_one_time_beneficiary":{"type":"integer"},"env_mode":{"type":"string"},"payment_method_code":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"destination_type":{"type":"string"},"destination":{"type":"object","properties":{"uuid":{"type":"string"},"env_mode":{"type":"string"},"payment_channel_availability":{"type":"object","properties":{"paystack":{"type":"boolean"}},"required":["paystack"]},"bank_code":{"type":"string"},"account_number":{"type":"string"},"account_name":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"bank":{"type":"object","properties":{"uuid":{"type":"string"},"bank_name":{"type":"string"},"bank_slug":{"type":"string"},"bank_code":{"type":"string"},"payment_channel_availability":{"type":"object","properties":{"paystack":{"type":"boolean"},"flutterwave":{"type":"boolean"}},"required":["paystack","flutterwave"]},"payment_channel_bank_codes":{"type":"null"},"created_at":{"type":"string"},"updated_at":{"type":"string"}},"required":["uuid","bank_name","bank_slug","bank_code","payment_channel_availability","payment_channel_bank_codes","created_at","updated_at"]}},"required":["uuid","env_mode","payment_channel_availability","bank_code","account_number","account_name","created_at","updated_at","bank"]}},"required":["uuid","third_party_ids","is_one_time_beneficiary","env_mode","payment_method_code","created_at","updated_at","destination_type","destination"]},"beneficiary":{"type":"object","properties":{"uuid":{"type":"string"},"is_one_time_beneficiary":{"type":"integer"},"beneficiary_id":{"type":"string"},"env_mode":{"type":"string"},"name":{"type":"string"},"email":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"payouts_count":{"type":"integer"},"payout_options_count":{"type":"integer"},"payout_options":{"type":"array","items":{"type":"object","properties":{"uuid":{"type":"string"},"third_party_ids":{"type":"object","properties":{"paystack":{"type":"string"}},"required":["paystack"]},"is_one_time_beneficiary":{"type":"integer"},"env_mode":{"type":"string"},"payment_method_code":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"destination_type":{"type":"string"},"destination":{"type":"object","properties":{"uuid":{"type":"string"},"env_mode":{"type":"string"},"payment_channel_availability":{"type":"object","properties":{"paystack":{"type":"boolean"}},"required":["paystack"]},"bank_code":{"type":"string"},"account_number":{"type":"string"},"account_name":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"bank":{"type":"object","properties":{"uuid":{"type":"string"},"bank_name":{"type":"string"},"bank_slug":{"type":"string"},"bank_code":{"type":"string"},"payment_channel_availability":{"type":"object","properties":{"paystack":{"type":"boolean"},"flutterwave":{"type":"boolean"}},"required":["paystack","flutterwave"]},"payment_channel_bank_codes":{"type":"null"},"created_at":{"type":"string"},"updated_at":{"type":"string"}},"required":["uuid","bank_name","bank_slug","bank_code","payment_channel_availability","payment_channel_bank_codes","created_at","updated_at"]}},"required":["uuid","env_mode","payment_channel_availability","bank_code","account_number","account_name","created_at","updated_at","bank"]}}}}},"required":["uuid","is_one_time_beneficiary","beneficiary_id","env_mode","name","email","created_at","updated_at","payouts_count","payout_options_count","payout_options"]},"beneficiary_payment_method":{"type":"null"}},"required":["uuid","ref","env_mode","initiated_from","initiated_by","type","is_one_time_beneficiary","amount","amount_to_usd","payment_channel_slug","currency","description","status","status_is_conclusive","status_summary","meta_data","callback_url","created_at","updated_at","transfer_ref","reference","beneficiary_payout_option","beneficiary","beneficiary_payment_method"]},"otp_url":{"type":"string"}},"required":["payout","otp_url"]}},"required":["message","status","data"]}}},"headers":{}}}}}}}
```

## Retry Payout

> This endpoint retries a payout. \
> \
> You can only retry a payout when it is in a conclusive failed state. This is because payouts are asynchronous and we need to ensure the payouts are no longer being processed before a new payout is attempted to prevent duplicate transactions or race conditions.

```json
{"openapi":"3.1.0","info":{"title":"Public APIs","version":"1.0.0"},"tags":[{"name":"Payouts/NUBAN/Payouts"}],"security":[{"apikey-header-Authentication":[]}],"components":{"securitySchemes":{"apikey-header-Authentication":{"type":"apiKey","in":"header","name":"Authentication"}}},"paths":{"/v1/payouts/nuban/retry":{"post":{"summary":"Retry Payout","deprecated":false,"description":"This endpoint retries a payout. \n\nYou can only retry a payout when it is in a conclusive failed state. This is because payouts are asynchronous and we need to ensure the payouts are no longer being processed before a new payout is attempted to prevent duplicate transactions or race conditions.","tags":["Payouts/NUBAN/Payouts"],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"payout_uuid":{"type":"string"},"payment_channel":{"type":"string"}},"required":["payout_uuid","payment_channel"]}}}},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"string"},"data":{"type":"object","properties":{"uuid":{"type":"string"},"ref":{"type":"string"},"user_ref":{"type":"null"},"env_mode":{"type":"string"},"type":{"type":"string"},"beneficiary_id":{"type":"integer"},"payout_sender_type":{"type":"null"},"amount":{"type":"string"},"currency":{"type":"string"},"description":{"type":"string"},"status":{"type":"string"},"status_is_conclusive":{"type":"integer"},"status_summary":{"type":"string"},"meta_data":{"type":"null"},"callback_url":{"type":"null"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"transfer_ref":{"type":"string"},"payout_sender":{"type":"null"},"beneficiary":{"type":"object","properties":{"uuid":{"type":"string"},"env_mode":{"type":"string"},"name":{"type":"string"},"email":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"}},"required":["uuid","env_mode","name","email","created_at","updated_at"]},"beneficiary_payment_method":{"type":"object","properties":{"uuid":{"type":"string"},"third_party_ids":{"type":"string"},"env_mode":{"type":"string"},"bank_code":{"type":"string"},"account_number":{"type":"string"},"account_name":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"beneficiary_payment_method_code":{"type":"string"},"bank":{"type":"object","properties":{"uuid":{"type":"string"},"bank_name":{"type":"string"},"bank_slug":{"type":"string"},"bank_code":{"type":"string"},"payment_channel_availability":{"type":"object","properties":{"paystack":{"type":"boolean"},"flutterwave":{"type":"boolean"}},"required":["paystack","flutterwave"]},"created_at":{"type":"string"},"updated_at":{"type":"string"}},"required":["uuid","bank_name","bank_slug","bank_code","payment_channel_availability","created_at","updated_at"]}},"required":["uuid","third_party_ids","env_mode","bank_code","account_number","account_name","created_at","updated_at","beneficiary_payment_method_code","bank"]}},"required":["uuid","ref","user_ref","env_mode","type","beneficiary_id","payout_sender_type","amount","currency","description","status","status_is_conclusive","status_summary","meta_data","callback_url","created_at","updated_at","transfer_ref","payout_sender","beneficiary","beneficiary_payment_method"]}},"required":["message","status","data"]}}},"headers":{}}}}}}}
```

## List Payouts

> This endpoint lists the NUBAN payouts in your business

```json
{"openapi":"3.1.0","info":{"title":"Public APIs","version":"1.0.0"},"tags":[{"name":"Payouts/NUBAN/Payouts"}],"security":[{"apikey-header-Authentication":[]}],"components":{"securitySchemes":{"apikey-header-Authentication":{"type":"apiKey","in":"header","name":"Authentication"}}},"paths":{"/v1/payouts/nuban/":{"get":{"summary":"List Payouts","deprecated":false,"description":"This endpoint lists the NUBAN payouts in your business","tags":["Payouts/NUBAN/Payouts"],"parameters":[{"name":"page","in":"query","description":"The page to fetch from","required":false,"schema":{"type":"string"}},{"name":"per_page","in":"query","description":"The number of items to show on each page","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"string"},"data":{"type":"array","items":{"type":"object","properties":{"uuid":{"type":"string"},"ref":{"type":"string"},"env_mode":{"type":"string"},"initiated_from":{"type":"null"},"type":{"type":"string"},"is_one_time_beneficiary":{"type":"integer"},"bulk_payout_id":{"type":"integer"},"bulk_payout_item_id":{"type":"integer"},"amount":{"type":"string"},"amount_to_usd":{"type":"string"},"payment_channel_slug":{"type":"string"},"currency":{"type":"string"},"description":{"type":"string"},"status":{"type":"string"},"status_is_conclusive":{"type":"integer"},"status_summary":{"type":"string"},"meta_data":{"type":"null"},"callback_url":{"type":"null"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"transfer_ref":{"type":"string"},"reference":{"type":"string"},"beneficiary":{"type":"object","properties":{"uuid":{"type":"string"},"beneficiary_id":{"type":"string"},"env_mode":{"type":"string"},"name":{"type":"string"},"email":{"type":"null"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"payouts_count":{"type":"integer"},"payout_options_count":{"type":"integer"}},"required":["uuid","beneficiary_id","env_mode","name","email","created_at","updated_at","payouts_count","payout_options_count"]},"beneficiary_payout_option":{"type":"object","properties":{"uuid":{"type":"string"},"third_party_ids":{"type":"object","properties":{"paystack":{"type":"string"}},"required":["paystack"]},"env_mode":{"type":"string"},"payment_method_code":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"destination_type":{"type":"string"},"destination":{"type":"object","properties":{"uuid":{"type":"string"},"env_mode":{"type":"string"},"payment_channel_availability":{"type":"object","properties":{"paystack":{"type":"boolean"},"flutterwave":{"type":"boolean"}},"required":["paystack"]},"bank_code":{"type":"string"},"account_number":{"type":"string"},"account_name":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"bank":{"type":"object","properties":{"uuid":{"type":"string"},"bank_name":{"type":"string"},"bank_slug":{"type":"string"},"bank_code":{"type":"string"},"payment_channel_availability":{"type":"object","properties":{"paystack":{"type":"boolean"},"flutterwave":{"type":"boolean"}},"required":["paystack","flutterwave"]},"created_at":{"type":"string"},"updated_at":{"type":"string"}},"required":["uuid","bank_name","bank_slug","bank_code","payment_channel_availability","created_at","updated_at"]}},"required":["uuid","env_mode","payment_channel_availability","bank_code","account_number","account_name","created_at","updated_at","bank"]}},"required":["uuid","third_party_ids","env_mode","payment_method_code","created_at","updated_at","destination_type","destination"]},"initiated_by_user":{"type":"null"}},"required":["uuid","ref","env_mode","initiated_from","type","is_one_time_beneficiary","bulk_payout_id","bulk_payout_item_id","amount","amount_to_usd","payment_channel_slug","currency","description","status","status_is_conclusive","status_summary","meta_data","callback_url","created_at","updated_at","transfer_ref","reference","beneficiary","beneficiary_payout_option","initiated_by_user"]}}},"required":["message","status","data"]}}},"headers":{}}}}}}}
```

## Fetch Payout

> This endpoint fetches a single NUBAN payout with its UUID.

```json
{"openapi":"3.1.0","info":{"title":"Public APIs","version":"1.0.0"},"tags":[{"name":"Payouts/NUBAN/Payouts"}],"security":[{"apikey-header-Authentication":[]}],"components":{"securitySchemes":{"apikey-header-Authentication":{"type":"apiKey","in":"header","name":"Authentication"}}},"paths":{"/v1/payouts/nuban/fetch/{PayoutUUID}":{"get":{"summary":"Fetch Payout","deprecated":false,"description":"This endpoint fetches a single NUBAN payout with its UUID.","tags":["Payouts/NUBAN/Payouts"],"parameters":[{"name":"PayoutUUID","in":"path","description":"The UUID of the NUBAN payout you want to fetch","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"string"},"data":{"type":"object","properties":{"uuid":{"type":"string"},"ref":{"type":"string"},"env_mode":{"type":"string"},"initiated_from":{"type":"null"},"type":{"type":"string"},"is_one_time_beneficiary":{"type":"integer"},"bulk_payout_id":{"type":"integer"},"bulk_payout_item_id":{"type":"integer"},"amount":{"type":"string"},"amount_to_usd":{"type":"string"},"payment_channel_slug":{"type":"string"},"currency":{"type":"string"},"description":{"type":"string"},"status":{"type":"string"},"status_is_conclusive":{"type":"integer"},"status_summary":{"type":"string"},"meta_data":{"type":"null"},"callback_url":{"type":"null"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"transfer_ref":{"type":"string"},"reference":{"type":"string"},"beneficiary":{"type":"object","properties":{"uuid":{"type":"string"},"beneficiary_id":{"type":"string"},"env_mode":{"type":"string"},"name":{"type":"string"},"email":{"type":"null"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"payouts_count":{"type":"integer"},"payout_options_count":{"type":"integer"}},"required":["uuid","beneficiary_id","env_mode","name","email","created_at","updated_at","payouts_count","payout_options_count"]},"beneficiary_payout_option":{"type":"object","properties":{"uuid":{"type":"string"},"third_party_ids":{"type":"object","properties":{"paystack":{"type":"string"}},"required":["paystack"]},"env_mode":{"type":"string"},"payment_method_code":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"destination_type":{"type":"string"},"destination":{"type":"object","properties":{"uuid":{"type":"string"},"env_mode":{"type":"string"},"payment_channel_availability":{"type":"object","properties":{"paystack":{"type":"boolean"},"flutterwave":{"type":"boolean"}},"required":["paystack","flutterwave"]},"bank_code":{"type":"string"},"account_number":{"type":"string"},"account_name":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"bank":{"type":"object","properties":{"uuid":{"type":"string"},"bank_name":{"type":"string"},"bank_slug":{"type":"string"},"bank_code":{"type":"string"},"payment_channel_availability":{"type":"object","properties":{"paystack":{"type":"boolean"},"flutterwave":{"type":"boolean"}},"required":["paystack","flutterwave"]},"created_at":{"type":"string"},"updated_at":{"type":"string"}},"required":["uuid","bank_name","bank_slug","bank_code","payment_channel_availability","created_at","updated_at"]}},"required":["uuid","env_mode","payment_channel_availability","bank_code","account_number","account_name","created_at","updated_at","bank"]}},"required":["uuid","third_party_ids","env_mode","payment_method_code","created_at","updated_at","destination_type","destination"]},"initiated_by_user":{"type":"null"},"timeline":{"type":"array","items":{"type":"object","properties":{"uuid":{"type":"string"},"summary":{"type":"string"},"status":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"}},"required":["uuid","summary","status","created_at","updated_at"]}}},"required":["uuid","ref","env_mode","initiated_from","type","is_one_time_beneficiary","bulk_payout_id","bulk_payout_item_id","amount","amount_to_usd","payment_channel_slug","currency","description","status","status_is_conclusive","status_summary","meta_data","callback_url","created_at","updated_at","transfer_ref","reference","beneficiary","beneficiary_payout_option","initiated_by_user","timeline"]}},"required":["message","status","data"]}}},"headers":{}}}}}}}
```

## Finalize Payout

> This endpoint is used to finalize the payout when making requests that requires a verification like an OTP or other multi-factor authentication to complete the payout.\
> \
> This endpoint requires the payout UUID and the value required to finalize the payout transaction.

```json
{"openapi":"3.1.0","info":{"title":"Public APIs","version":"1.0.0"},"tags":[{"name":"Payouts/NUBAN/Payouts"}],"security":[{"apikey-header-Authentication":[]}],"components":{"securitySchemes":{"apikey-header-Authentication":{"type":"apiKey","in":"header","name":"Authentication"}}},"paths":{"/v1/payouts/nuban/finalize":{"post":{"summary":"Finalize Payout","deprecated":false,"description":"This endpoint is used to finalize the payout when making requests that requires a verification like an OTP or other multi-factor authentication to complete the payout.\n\nThis endpoint requires the payout UUID and the value required to finalize the payout transaction.","tags":["Payouts/NUBAN/Payouts"],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"otp":{"type":"string","description":"A one-time password required to complete this payout"},"payout_uuid":{"type":"string","description":"The UUID of the payout"}},"required":["otp","payout_uuid"]}}}},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"string"},"data":{"type":"object","properties":{"uuid":{"type":"string"},"ref":{"type":"string"},"env_mode":{"type":"string"},"type":{"type":"string"},"is_one_time_beneficiary":{"type":"integer"},"amount":{"type":"string"},"amount_to_usd":{"type":"string"},"payment_channel_slug":{"type":"string"},"currency":{"type":"string"},"description":{"type":"string"},"status":{"type":"string"},"status_is_conclusive":{"type":"integer"},"status_summary":{"type":"string"},"meta_data":{"type":"null"},"callback_url":{"type":"null"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"transfer_ref":{"type":"string"},"reference":{"type":"string"},"payout_sender":{"type":"null"},"beneficiary":{"type":"object","properties":{"uuid":{"type":"string"},"is_one_time_beneficiary":{"type":"integer"},"beneficiary_id":{"type":"string"},"env_mode":{"type":"string"},"name":{"type":"string"},"email":{"type":"null"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"payouts_count":{"type":"integer"},"payment_methods_count":{"type":"integer"}},"required":["uuid","is_one_time_beneficiary","beneficiary_id","env_mode","name","email","created_at","updated_at","payouts_count","payment_methods_count"]},"beneficiary_payment_method":{"type":"object","properties":{"uuid":{"type":"string"},"third_party_ids":{"type":"object","properties":{"paystack":{"type":"string"}},"required":["paystack"]},"is_one_time_beneficiary":{"type":"integer"},"env_mode":{"type":"string"},"payment_method_code":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"payment_method_type":{"type":"string"},"payment_method":{"type":"object","properties":{"uuid":{"type":"string"},"env_mode":{"type":"string"},"payment_channel_availability":{"type":"object","properties":{"paystack":{"type":"boolean"}},"required":["paystack"]},"bank_code":{"type":"string"},"account_number":{"type":"string"},"account_name":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"bank":{"type":"object","properties":{"uuid":{"type":"string"},"bank_name":{"type":"string"},"bank_slug":{"type":"string"},"bank_code":{"type":"string"},"payment_channel_availability":{"type":"object","properties":{"paystack":{"type":"boolean"},"flutterwave":{"type":"boolean"}},"required":["paystack","flutterwave"]},"payment_channel_bank_codes":{"type":"null"},"created_at":{"type":"string"},"updated_at":{"type":"string"}},"required":["uuid","bank_name","bank_slug","bank_code","payment_channel_availability","payment_channel_bank_codes","created_at","updated_at"]}},"required":["uuid","env_mode","payment_channel_availability","bank_code","account_number","account_name","created_at","updated_at","bank"]}},"required":["uuid","third_party_ids","is_one_time_beneficiary","env_mode","payment_method_code","created_at","updated_at","payment_method_type","payment_method"]}},"required":["uuid","ref","env_mode","type","is_one_time_beneficiary","amount","amount_to_usd","payment_channel_slug","currency","description","status","status_is_conclusive","status_summary","meta_data","callback_url","created_at","updated_at","transfer_ref","reference","payout_sender","beneficiary","beneficiary_payment_method"]}},"required":["message","status","data"]}}},"headers":{}}}}}}}
```

## Enable payout OTP

> This endpoint is used to tell a specific payment channel that we want to require an OTP when we process payouts. It is applicable right now for \`paystack\`.&#x20;

```json
{"openapi":"3.1.0","info":{"title":"Public APIs","version":"1.0.0"},"tags":[{"name":"Payouts/NUBAN/Payouts"}],"security":[{"apikey-header-Authentication":[]}],"components":{"securitySchemes":{"apikey-header-Authentication":{"type":"apiKey","in":"header","name":"Authentication"}}},"paths":{"/v1/payouts/enable-otp":{"post":{"summary":"Enable payout OTP","deprecated":false,"description":"This endpoint is used to tell a specific payment channel that we want to require an OTP when we process payouts. It is applicable right now for `paystack`. ","tags":["Payouts/NUBAN/Payouts"],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"payment_channel":{"type":"string","description":"The slug of the payment channel we want to enable payout OTP for"}},"required":["payment_channel"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{}}}},"headers":{}}}}}}}
```

## Disable payout OTP

> This endpoint is used to tell a specific payment channel that we want to process payouts without requiring an OTP. It is applicable right now for \`paystack\`. \
> \
> When performing payouts, some payment channels require you to do some form of multi-factor authentication with an OTP, and would need you to do a second call to finalize the payout. When you disable this process with this endpoint, you no longer need to do that.

```json
{"openapi":"3.1.0","info":{"title":"Public APIs","version":"1.0.0"},"tags":[{"name":"Payouts/NUBAN/Payouts"}],"security":[{"apikey-header-Authentication":[]}],"components":{"securitySchemes":{"apikey-header-Authentication":{"type":"apiKey","in":"header","name":"Authentication"}}},"paths":{"/v1/payouts/disable-otp":{"post":{"summary":"Disable payout OTP","deprecated":false,"description":"This endpoint is used to tell a specific payment channel that we want to process payouts without requiring an OTP. It is applicable right now for `paystack`. \n\nWhen performing payouts, some payment channels require you to do some form of multi-factor authentication with an OTP, and would need you to do a second call to finalize the payout. When you disable this process with this endpoint, you no longer need to do that.","tags":["Payouts/NUBAN/Payouts"],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"payment_channel":{"type":"string","description":"The slug of the payment channel we want to disable payout OTP for"}},"required":["payment_channel"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{}}}},"headers":{}}}}}}}
```

## Finalize disable payout OTP

> This endpoint is useful as a final step for disabling the OTP of a specific payment channel. For payment channels that require an OTP to complete the disabling process to disable payout OTPs, we use this endpoint to complete the process.

```json
{"openapi":"3.1.0","info":{"title":"Public APIs","version":"1.0.0"},"tags":[{"name":"Payouts/NUBAN/Payouts"}],"security":[{"apikey-header-Authentication":[]}],"components":{"securitySchemes":{"apikey-header-Authentication":{"type":"apiKey","in":"header","name":"Authentication"}}},"paths":{"/v1/payouts/finalize-disable-otp":{"post":{"summary":"Finalize disable payout OTP","deprecated":false,"description":"This endpoint is useful as a final step for disabling the OTP of a specific payment channel. For payment channels that require an OTP to complete the disabling process to disable payout OTPs, we use this endpoint to complete the process.","tags":["Payouts/NUBAN/Payouts"],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"payment_channel":{"type":"string","description":"The slug of the payment channel we want to finalize the disable payout OTP request for."},"otp":{"type":"string","description":"The OTP to finalize this request."}},"required":["payment_channel","otp"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{}}}},"headers":{}}}}}}}
```
